# Flowise - Build LLM Apps Easily

[Flowise AI](https://github.com/FlowiseAI/Flowise) is an Open source UI visual tool to build your customized LLM orchestration flow & AI agents. Developing LLM apps takes countless iterations. With low code approach, Flowise AI enable quick iterations to go from testing to production.

---

![](https://github.com/FlowiseAI/Flowise/blob/main/images/flowise.png?raw=true)

![](https://github.com/FlowiseAI/Flowise/blob/main/images/flowise.gif?raw=true)

---

## ⭐ Features
Developing LLM apps takes countless iterations. With low code approach, we enable quick iterations to go from testing to production

### LLM Ochestration
Connect LLMs with memory, data loaders, cache, moderation and many more
- Langchain
- LlamaIndex
- 100+ integrations

---

### Agents & Assistants
Create an autonomous agent that can use tools to execute different tasks
- Custom Tools
- OpenAI Assistant
- Function Agent

---

### API, SDK, Embed
Extend and integrate to your applications using APIs, SDK and Embedded Chat
- APIs
- Embedded Widget
- React SDK

---

### Open source LLMs
Run in an air-gapped environment with local LLMs, embeddings, and vector databases
- HuggingFace, Ollama, LocalAI, Replicate
- Llama2, Mistral, Vicuna, Orca, Llava
- Self host on AWS, Azure, GCP

---

### 📖 Website & Docs
[Flowise Docs](https://docs.flowiseai.com/)
[Website](https://flowiseai.com/)
